[Setting name="Display a run during validation", category="General"]
bool isEnabled = false;


void Setup()
{
#if MP41 && MANIA64
  int32 trueNumber = 1;
  Dev::Write(Dev::BaseAddress() + 0x1D0EA24, trueNumber);
  print("Validation Display is enabled.");
#else
  print("This version of the game is not supported.");
#endif
}

void Stop()
{
#if MP41 && MANIA64
  int32 falseNumber = 0;
  Dev::Write(Dev::BaseAddress() + 0x1D0EA24, falseNumber);
  print("Validation Display is disabled.");
#endif
}

void ApplySetting()
{
  if(isEnabled)
  {
    Setup();
  }
  else
  {
    Stop();
  }
}

void RenderMenu()
{
#if MP41 && MANIA64
  if (UI::MenuItem(Icons::Kenney::Movie + " Validation Display", "", isEnabled, true))
  {
    isEnabled = !isEnabled;
	
	ApplySetting();
  }
#endif
}

void OnSettingsChanged()
{
  ApplySetting();
}


void Main()
{
  ApplySetting();
}

void OnDestroyed()
{
  Stop();
}